# GroupRegistry (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class GroupRegistry

- java.lang.Object
- - net.fortuna.ical4j.vcard.GroupRegistry

    public class GroupRegistry
    extends Object

A registry for standard and non-standard property groups. $Id$ Created on: 05/01/2009

Author:
  Ben

### Constructor Summary

Constructors
Constructor and Description
`GroupRegistry()`

### Method Summary

Methods
`Group` `getGroup(String value)`
`void` `register(String extendedName, Group group)` Registers a non-standard group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupRegistry

    public GroupRegistry()

### Method Detail

#### getGroup

    public Group getGroup(String value)

Parameters:
  `value` - a string representation of a group identifier
Returns:
  a registered group with the specified identifier. If no such group is found null is returned

#### register

    public void register(String extendedName,
                Group group)

Registers a non-standard group.

Parameters:
  `extendedName` - the extended name of the group
  `group` - the group